Debian Bug report logs - #728030
live-build's binary_syslinux step refers to and old binary in librsvg2-bin

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Roberto Carlos Morano <rcmorano@emergya.com>

Date: Sun, 27 Oct 2013 18:27:02 UTC

Severity: normal

Found in version live-build/4.0~alpha27-1

Fixed in version 4.0~alpha28-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#728030; Package live-build. (Sun, 27 Oct 2013 18:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto Carlos Morano <rcmorano@emergya.com>:
New Bug report received and forwarded. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sun, 27 Oct 2013 18:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roberto Carlos Morano <rcmorano@emergya.com>
To: submit@bugs.debian.org
Subject: live-build's binary_syslinux step refers to and old binary in librsvg2-bin
Date: Sun, 27 Oct 2013 19:25:17 +0100
[Message part 1 (text/plain, inline)]
Package: live-build
Version: 4.0~alpha27-1

This script is using old 'librsvg2-bin' binary path which was
'/usr/bin/rsvg'. Nowadays is '/usr/bin/rsvg-convert'.

In addition, 'rsvg' syntax must be changed, we need to add '-o' before the
output png filename.

I do attach a patch fixing the problem.
[Message part 2 (text/html, inline)]
[0001-fixed-rsvg-binary-path-and-call-arguments.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#728030; Package live-build. (Sun, 27 Oct 2013 19:42:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roberto Carlos Morano <rcmorano@emergya.com>:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sun, 27 Oct 2013 19:42:19 GMT) Full text and rfc822 format available.

Message #10 received at 728030@bugs.debian.org (full text, mbox):

From: Roberto Carlos Morano <rcmorano@emergya.com>
To: 728030@bugs.debian.org
Subject: Re: Bug#728030: Acknowledgement (live-build's binary_syslinux step refers to and old binary in librsvg2-bin)
Date: Sun, 27 Oct 2013 20:41:15 +0100
[Message part 1 (text/plain, inline)]
Oops, sorry, Ive attached a reverse patch hehe

Here's the good one. It's based on master.



2013/10/27 Debian Bug Tracking System <owner@bugs.debian.org>

> Thank you for filing a new Bug report with Debian.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  Live Systems Maintainers <debian-live@lists.debian.org>
>
> If you wish to submit further information on this problem, please
> send it to 728030@bugs.debian.org.
>
> Please do not send mail to owner@bugs.debian.org unless you wish
> to report a problem with the Bug-tracking system.
>
> --
> 728030: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=728030
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
>
[Message part 2 (text/html, inline)]
[0001-fixed-rsvg-binary-path-and-call-arguments.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#728030; Package live-build. (Sun, 27 Oct 2013 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ozi Traveller <ozitraveller@gmail.com>:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Sun, 27 Oct 2013 20:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 728030@bugs.debian.org (full text, mbox):

From: Ozi Traveller <ozitraveller@gmail.com>
To: Roberto Carlos Morano <rcmorano@emergya.com>, 728030@bugs.debian.org
Subject: Re: Bug#728030: Acknowledgement (live-build's binary_syslinux step refers to and old binary in librsvg2-bin)
Date: Mon, 28 Oct 2013 07:31:01 +1100
[Message part 1 (text/plain, inline)]
Excellent thanks Roberto!




On Mon, Oct 28, 2013 at 6:41 AM, Roberto Carlos Morano <rcmorano@emergya.com
> wrote:

> Oops, sorry, Ive attached a reverse patch hehe
>
> Here's the good one. It's based on master.
>
>
>
> 2013/10/27 Debian Bug Tracking System <owner@bugs.debian.org>
>
>> Thank you for filing a new Bug report with Debian.
>>
>> This is an automatically generated reply to let you know your message
>> has been received.
>>
>> Your message is being forwarded to the package maintainers and other
>> interested parties for their attention; they will reply in due course.
>>
>> Your message has been sent to the package maintainer(s):
>>  Live Systems Maintainers <debian-live@lists.debian.org>
>>
>> If you wish to submit further information on this problem, please
>> send it to 728030@bugs.debian.org.
>>
>> Please do not send mail to owner@bugs.debian.org unless you wish
>> to report a problem with the Bug-tracking system.
>>
>> --
>> 728030: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=728030
>> Debian Bug Tracking System
>> Contact owner@bugs.debian.org with problems
>>
>
>
[Message part 2 (text/html, inline)]

Marked as fixed in versions 4.0~alpha28-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 28 Oct 2013 07:36:26 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 28 Oct 2013 07:36:27 GMT) Full text and rfc822 format available.

Notification sent to Roberto Carlos Morano <rcmorano@emergya.com>:
Bug acknowledged by developer. (Mon, 28 Oct 2013 07:36:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Nov 2013 07:27:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:26:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.